# The Yaf_Route_Interface class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Interface used for developer defined their custom route.

## Class synopsis

Yaf_Route_Interface {
/* Methods */
abstract public assemble ( array `$info` [, array `$query` ] ) : string
abstract public route ( Yaf_Request_Abstract `$request` ) : bool
}

## Table of Contents

- Yaf_Route_Interface::assemble — Assemble a request
- Yaf_Route_Interface::route — Route a request